
Figure - Bug #115302
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111049 (New): AF-V2.0-副屏遥控器

【AF】【EVT】【遥控器】快捷设置列表页面，护眼模式、游戏模式点击之后生效，但是再点一次不会关闭
2023-01-13 17:21 - CD TEST-方永红

Status: CLOSED Start date: 2023-01-13

Priority: Normal Due date: 2023-02-03

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0068.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302030336

Reproducibility: Every time Fixed Version: 2023-02-02

Test Type: IT Root cause: 在通知栏没有下拉时，使用遥控器控制快捷设置的状态，部分快捷设置项开关状态更新了，但是外部获取的状态并没有更新，解决方案：在收到点击请求时，处理结束后主动更新状态����蓝牙在打开后再关闭，蓝牙的状态刷新会有一个短暂的延迟，使用遥控器关闭蓝牙后，会立即获取快捷设置列表，但此时的蓝牙状态还未刷新，导致遥控器现实的蓝牙状态异常

Description

【前提条件】

1、设备已开机

【测试步骤】

1、连接遥控器

2、进入快捷列表页面

3、点击护眼模式

4、再次点击护眼模式

【预期结果】

3、护眼模式被开启

4、护眼模式被关闭

【实际结果】

3、护眼模式被开启

4、护眼模式没有被关闭

PS:进行上述操作时不要打开控制中心

History

#1 - 2023-01-17 11:21 - CD FW 曹覃刚

- Due date set to 2023-02-03

#2 - 2023-01-18 18:52 - CD TEST-方永红

1.18，测试内容补充

蓝牙、位置信息——可以开关，但是app上的激活状态没有及时更新

护眼模式、位置信息——点击之后能够打开，但是控制中心中的状态没有及时变化，要打开控制中心之后才会变化

#3 - 2023-01-30 10:08 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

177574 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12
tianying.cheng@thundersoft.com



-dev

AF:SystemUI:Fixed RemoteControl performs quick settings can`t changeTC-RID: 1201-0201903IssueID: TS-R-BUG-115302Change-Id:

I18dd628949f614d7a4f0e44c53462cac48ae0354

#4 - 2023-01-30 10:24 - CD FW-程天颖

- Status changed from New to RESOLVED

- Assignee changed from CD FW-程天颖 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-01-30

- Root cause set to 在通知栏没有下拉时，使用遥控器控制快捷设置的状态，部分快捷设置项开关状态更新了，但是外部获取的状态并没有更新，解决方案

：在收到点击请求时，处理结束后主动更新状态

■ Current conclusion

bug已解决，提交已入库

■ My analysis

在通知栏没有下拉时，使用遥控器控制快捷设置的状态，部分快捷设置项开关状态更新了，但是外部获取的状态并没有更新，解决方案：在收到点击请

求时，处理结束后主动更新状态

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/177574

#5 - 2023-01-31 14:34 - CD FW-程天颖

- Assignee changed from CD TEST-方永红 to CD FW-程天颖

- % Done changed from 100 to 70

#6 - 2023-02-01 10:02 - CD TEST-方永红

- Status changed from RESOLVED to ASSIGNED

#7 - 2023-02-02 17:50 - CD FW-程天颖

- Root cause changed from 在通知栏没有下拉时，使用遥控器控制快捷设置的状态，部分快捷设置项开关状态更新了，但是外部获取的状态并没有更新，

解决方案：在收到点击请求时，处理结束后主动更新状态 to 在通知栏没有下拉时，使用遥控器控制快捷设置的状态，部分快捷设置项开关状态更新了，

但是外部获取的状态并没有更新，解决方案：在收到点击请求时，处理结束后主动更新状态

蓝牙在打开后再关闭，蓝牙的状态刷新会有一个短暂的延迟，使用遥控器关闭蓝牙后，会立即获取快捷设置列表，但此时的蓝牙状态还未刷新，导致遥

控器现实的蓝牙状态异常

■ Current conclusion

bug已解决，代码已提交

■ My analysis

蓝牙在打开后再关闭，蓝牙的状态刷新会有一个短暂的延迟，使用遥控器关闭蓝牙后，会立即获取快捷设置列表，但此时的蓝牙状态还未刷新，导致遥

控器现实的蓝牙状态异常

解决方案：

在更改蓝牙状态后，等待蓝牙状态切换完成后再刷新快捷设置列表

■ Next action

入库代码
https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/177574


#8 - 2023-02-02 20:39 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

178891 general/platform/vendor/thundercom

m/apps/RemoteControlClients

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:RemoteControl: Client(Android) - Fixed Bluetooth status update shows an errorTC-RID: 1201-0206002IssueID: TS-R-BUG-115302Change-Id:

I43f41c2d29458361081b42ceec0243d6bb818b73

#9 - 2023-02-02 20:42 - CD FW-程天颖

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-程天颖 to CD TEST-方永红

- % Done changed from 70 to 100

- Fixed Version changed from 2023-01-30 to 2023-02-02

■ Current conclusion

bug已解决，代码已入库

■ My analysis

蓝牙在打开后再关闭，蓝牙的状态刷新会有一个短暂的延迟，使用遥控器关闭蓝牙后，会立即获取快捷设置列表，但此时的蓝牙状态还未刷新，导致遥

控器现实的蓝牙状态异常

解决方案：

在更改蓝牙状态后，等待蓝牙状态切换完成后再刷新快捷设置列表

■ Submit url

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/RemoteControlClients/+/178891

#10 - 2023-02-03 17:19 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302030336

2.3

护眼模式、游戏模式、位置信息的相应问题已解决

蓝牙情况与之前票上内容已经有较大变化，决定另起票跟踪

#11 - 2023-02-03 17:19 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/RemoteControlClients/+/178891

